<html>
<head>
<title>Math - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Math</div>  </div>
<div class="ingroups"><a class="el" href="group__Core.html">Core</a></div></div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for Math:</div>
<div class="dyncontent">
<center><table><tr><td><img src="group__Math.gif" border="0" alt="" usemap="#group____Math"/>
<map name="group____Math" id="group____Math">
<area shape="rect" id="node1" href="group__Core.html" title="Core" alt="" coords="5,5,56,35"/></map>
</td></tr></table></center>
</div>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBox.html">Ogre::AxisAlignedBox</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A 3D box aligned with the x/y/z axes.  <a href="classOgre_1_1AxisAlignedBox.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Bitwise.html">Ogre::Bitwise</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for manipulating bit patterns.  <a href="classOgre_1_1Bitwise.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Holds a solid representation of a convex body.  <a href="classOgre_1_1ConvexBody.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1DualQuaternion.html">Ogre::DualQuaternion</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of a dual quaternion, i.e.  <a href="classOgre_1_1DualQuaternion.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeData.html">Ogre::EdgeData</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class contains the information required to describe the edge connectivity of a given set of vertices and indexes.  <a href="classOgre_1_1EdgeData.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EdgeListBuilder.html">Ogre::EdgeListBuilder</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">General utility class for building edge lists for geometry.  <a href="classOgre_1_1EdgeListBuilder.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Frustum.html">Ogre::Frustum</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A frustum represents a pyramid, capped at the near and far end which is used to represent either a visible area or a projection area.  <a href="classOgre_1_1Frustum.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Radian.html">Ogre::Radian</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class which indicates a given angle value is in Radians.  <a href="classOgre_1_1Radian.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Degree.html">Ogre::Degree</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class which indicates a given angle value is in Degrees.  <a href="classOgre_1_1Degree.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Angle.html">Ogre::Angle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class which identifies a value as the currently default angle type, as defined by <a class="el" href="classOgre_1_1Math.html#afb791263d1e8508fc75f698a20d96b87" title="These functions used to set the assumed angle units (radians or degrees) expected when using the Angl...">Math::setAngleUnit</a>.  <a href="classOgre_1_1Angle.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Math.html">Ogre::Math</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class to provide access to common mathematical functions.  <a href="classOgre_1_1Math.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html">Ogre::Matrix3</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A 3x3 matrix which can represent rotations around axes.  <a href="classOgre_1_1Matrix3.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class encapsulating a standard 4x4 homogeneous matrix.  <a href="classOgre_1_1Matrix4.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericSolver.html">Ogre::NumericSolver</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Provides numeric solvers for <a class="el" href="namespaceOgre.html">Ogre</a>.  <a href="classOgre_1_1NumericSolver.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OptimisedUtil.html">Ogre::OptimisedUtil</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Utility class for provides optimised functions.  <a href="classOgre_1_1OptimisedUtil.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines a plane in 3D space.  <a href="classOgre_1_1Plane.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolume.html">Ogre::PlaneBoundedVolume</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a convex volume bounded by planes.  <a href="classOgre_1_1PlaneBoundedVolume.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Polygon.html">Ogre::Polygon</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The class represents a polygon in 3D space.  <a href="classOgre_1_1Polygon.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Quaternion.html">Ogre::Quaternion</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Implementation of a <a class="el" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>, i.e.  <a href="classOgre_1_1Quaternion.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Ray.html">Ogre::Ray</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Representation of a ray in space, i.e.  <a href="classOgre_1_1Ray.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RotationalSpline.html">Ogre::RotationalSpline</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This class interpolates orientations (rotations) along a spline using derivatives of quaternions.  <a href="classOgre_1_1RotationalSpline.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SimpleSpline.html">Ogre::SimpleSpline</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A very simple spline class which implements the Catmull-Rom class of splines.  <a href="classOgre_1_1SimpleSpline.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Sphere.html">Ogre::Sphere</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A sphere primitive, mostly used for bounds checking.  <a href="classOgre_1_1Sphere.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TangentSpaceCalc.html">Ogre::TangentSpaceCalc</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for calculating a tangent space basis.  <a href="classOgre_1_1TangentSpaceCalc.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector2.html">Ogre::Vector2</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Standard 2-dimensional vector.  <a href="classOgre_1_1Vector2.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector3.html">Ogre::Vector3</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Standard 3-dimensional vector.  <a href="classOgre_1_1Vector3.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Vector4.html">Ogre::Vector4</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">4-dimensional homogeneous vector.  <a href="classOgre_1_1Vector4.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga006856a8eae8ec29bf45365bbd67ea46">Ogre::PreciseReal</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Real type for numeric solvers.  <a href="#ga006856a8eae8ec29bf45365bbd67ea46"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector&lt; Plane &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gae00d718daa48567f6c010aad9d6dd92c">Ogre::PlaneList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; PlaneBoundedVolume &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga6253a1300d656ba28342fe58260d0e71">Ogre::PlaneBoundedVolumeList</a></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305">Ogre::OrientationMode</a> { <br/>
&#160;&#160;<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a8e7655727ba9332f3843f46a4d1b126b">Ogre::OR_DEGREE_0</a> =  0, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a28c273827e348532e2e5193ddb3c5c0e">Ogre::OR_DEGREE_90</a> =  1, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305acd8defb52221ab0634b6456b88777ea9">Ogre::OR_DEGREE_180</a> =  2, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a2a392843ac77a835af8b3ca000bac382">Ogre::OR_DEGREE_270</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305abc9559bd9584facb95a611c0111b8894">Ogre::OR_PORTRAIT</a> =  OR_DEGREE_0, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305ac5ccf894975be135988c046317296761">Ogre::OR_LANDSCAPERIGHT</a> =  OR_DEGREE_90, 
<a class="el" href="group__Math.html#gga86b4672dfa02cea53b10a52bd6344305a286804a9c1f2abd94afa2eaff4ef40c4">Ogre::OR_LANDSCAPELEFT</a> =  OR_DEGREE_270
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies orientation mode.  <a href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gaf5dd9a3d1fd373b17108baa16065b1ce">Ogre::ProjectionType</a> { <a class="el" href="group__Math.html#ggaf5dd9a3d1fd373b17108baa16065b1cea739a7eabe0426ba0cd2f6e94a5e5be25">Ogre::PT_ORTHOGRAPHIC</a>, 
<a class="el" href="group__Math.html#ggaf5dd9a3d1fd373b17108baa16065b1ceab93552ced844b58965a168d27150e262">Ogre::PT_PERSPECTIVE</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specifies perspective (realistic) or orthographic (architectural) projection.  <a href="group__Math.html#gaf5dd9a3d1fd373b17108baa16065b1ce">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga62275d08557868fd87154c46dfcc9dfd">Ogre::FrustumPlane</a> { <br/>
&#160;&#160;<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfdac3491138fb6ea5aab59e7a19df7775cf">Ogre::FRUSTUM_PLANE_NEAR</a> =  0, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfda0dd893c751a483a18e1345aa88135e8f">Ogre::FRUSTUM_PLANE_FAR</a> =  1, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfdaac17072b67144059d69d578706365499">Ogre::FRUSTUM_PLANE_LEFT</a> =  2, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfdab0c99c0e896fe615393fabba067f1a30">Ogre::FRUSTUM_PLANE_RIGHT</a> =  3, 
<br/>
&#160;&#160;<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfda44c7b45d93e28524064ae95457224a4b">Ogre::FRUSTUM_PLANE_TOP</a> =  4, 
<a class="el" href="group__Math.html#gga62275d08557868fd87154c46dfcc9dfda4a8d7be432f1ee786179d29dfdf3ee10">Ogre::FRUSTUM_PLANE_BOTTOM</a> =  5
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Worldspace clipping planes.  <a href="group__Math.html#ga62275d08557868fd87154c46dfcc9dfd">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga03482705bf3612c6b96e5a187095e8ac">Ogre::operator*</a> (Real a, const Radian &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga49268a0dd483041451c010eeec55f83a">Ogre::operator/</a> (Real a, const Radian &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Degree&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga01057ea7c8adad28c8100750a78105c8">Ogre::operator*</a> (Real a, const Degree &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Degree&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga5b1b6f29e0c3e2fdb55c88f7fd5ccf9b">Ogre::operator/</a> (Real a, const Degree &amp;b)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Vector4&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gab98d9fe8e0bd1f28f9fed1009cd745dd">Ogre::operator*</a> (const Vector4 &amp;v, const Matrix4 &amp;mat)</td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">static <a class="el" href="OgrePlatform_8h.html#a724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a> T *&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__Math.html#gabb1e4ba22444c1bbf72e6aa66130cd01">Ogre::rawOffsetPointer</a> (T *ptr, ptrdiff_t offset)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns raw offseted of the given pointer.  <a href="#gabb1e4ba22444c1bbf72e6aa66130cd01"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">static <a class="el" href="OgrePlatform_8h.html#a724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a> void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__Math.html#gad80b2abc7821c70d6ea086d87ed0ae18">Ogre::advanceRawPointer</a> (T *&amp;ptr, ptrdiff_t offset)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Advance the pointer with raw offset.  <a href="#gad80b2abc7821c70d6ea086d87ed0ae18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gae928a6c0bafde7b018e386ed94d76a84">Ogre::Radian::Radian</a> (const Degree &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gafab8ce89cde3034f3cc5c2537d5ea6fd">Ogre::Radian::operator=</a> (const Degree &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gab7a4a877f244d3f355ae1965d562f613">Ogre::Radian::operator+</a> (const Degree &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gaed5147935125e28f53cb19d70055bc88">Ogre::Radian::operator+=</a> (const Degree &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga18bfac55ff717cba106aa08bc731e26a">Ogre::Radian::operator-</a> (const Degree &amp;d) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Radian &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga223a82b9ff74351959eee91a335e7cdb">Ogre::Radian::operator-=</a> (const Degree &amp;d)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga0b6615ad9e0b769f3772d7eb746e804a">Ogre::Radian::valueDegrees</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga73959a5a953d4a695388a476387b8e15">Ogre::Radian::valueAngleUnits</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#gabb43fc06a3c963e8ba7aa96614d3a620">Ogre::Degree::valueRadians</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga03857af7d94a567b27545a1f28a432e6">Ogre::Degree::valueAngleUnits</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga9fafb5d83c03c4e105cd7ea6334e249b">Ogre::Angle::operator Radian</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Math.html#ga432fde2d075b7e2b916a5713a02c9760">Ogre::Angle::operator Degree</a> () const </td></tr>
</table>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="ga6253a1300d656ba28342fe58260d0e71"></a><!-- doxytag: member="Ogre::PlaneBoundedVolumeList" ref="ga6253a1300d656ba28342fe58260d0e71" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;PlaneBoundedVolume&gt;::type <a class="el" href="group__Math.html#ga6253a1300d656ba28342fe58260d0e71">Ogre::PlaneBoundedVolumeList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlaneBoundedVolume_8h_source.html#l00127">127</a> of file <a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>.</p>

</div>
</div>
<a class="anchor" id="gae00d718daa48567f6c010aad9d6dd92c"></a><!-- doxytag: member="Ogre::PlaneList" ref="gae00d718daa48567f6c010aad9d6dd92c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef vector&lt;Plane&gt;::type <a class="el" href="group__Math.html#gae00d718daa48567f6c010aad9d6dd92c">Ogre::PlaneList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlane_8h_source.html#l00160">160</a> of file <a class="el" href="OgrePlane_8h_source.html">OgrePlane.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga006856a8eae8ec29bf45365bbd67ea46"></a><!-- doxytag: member="Ogre::PreciseReal" ref="ga006856a8eae8ec29bf45365bbd67ea46" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef double <a class="el" href="group__Math.html#ga006856a8eae8ec29bf45365bbd67ea46">Ogre::PreciseReal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Real type for numeric solvers. </p>

<p>Definition at line <a class="el" href="OgreNumerics_8h_source.html#l00044">44</a> of file <a class="el" href="OgreNumerics_8h_source.html">OgreNumerics.h</a>.</p>

</div>
</div>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga62275d08557868fd87154c46dfcc9dfd"></a><!-- doxytag: member="Ogre::FrustumPlane" ref="ga62275d08557868fd87154c46dfcc9dfd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Math.html#ga62275d08557868fd87154c46dfcc9dfd">Ogre::FrustumPlane</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Worldspace clipping planes. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga62275d08557868fd87154c46dfcc9dfdac3491138fb6ea5aab59e7a19df7775cf"></a><!-- doxytag: member="FRUSTUM_PLANE_NEAR" ref="gga62275d08557868fd87154c46dfcc9dfdac3491138fb6ea5aab59e7a19df7775cf" args="" -->FRUSTUM_PLANE_NEAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga62275d08557868fd87154c46dfcc9dfda0dd893c751a483a18e1345aa88135e8f"></a><!-- doxytag: member="FRUSTUM_PLANE_FAR" ref="gga62275d08557868fd87154c46dfcc9dfda0dd893c751a483a18e1345aa88135e8f" args="" -->FRUSTUM_PLANE_FAR</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga62275d08557868fd87154c46dfcc9dfdaac17072b67144059d69d578706365499"></a><!-- doxytag: member="FRUSTUM_PLANE_LEFT" ref="gga62275d08557868fd87154c46dfcc9dfdaac17072b67144059d69d578706365499" args="" -->FRUSTUM_PLANE_LEFT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga62275d08557868fd87154c46dfcc9dfdab0c99c0e896fe615393fabba067f1a30"></a><!-- doxytag: member="FRUSTUM_PLANE_RIGHT" ref="gga62275d08557868fd87154c46dfcc9dfdab0c99c0e896fe615393fabba067f1a30" args="" -->FRUSTUM_PLANE_RIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga62275d08557868fd87154c46dfcc9dfda44c7b45d93e28524064ae95457224a4b"></a><!-- doxytag: member="FRUSTUM_PLANE_TOP" ref="gga62275d08557868fd87154c46dfcc9dfda44c7b45d93e28524064ae95457224a4b" args="" -->FRUSTUM_PLANE_TOP</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga62275d08557868fd87154c46dfcc9dfda4a8d7be432f1ee786179d29dfdf3ee10"></a><!-- doxytag: member="FRUSTUM_PLANE_BOTTOM" ref="gga62275d08557868fd87154c46dfcc9dfda4a8d7be432f1ee786179d29dfdf3ee10" args="" -->FRUSTUM_PLANE_BOTTOM</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreFrustum_8h_source.html#l00070">70</a> of file <a class="el" href="OgreFrustum_8h_source.html">OgreFrustum.h</a>.</p>

</div>
</div>
<a class="anchor" id="ga86b4672dfa02cea53b10a52bd6344305"></a><!-- doxytag: member="Ogre::OrientationMode" ref="ga86b4672dfa02cea53b10a52bd6344305" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Math.html#ga86b4672dfa02cea53b10a52bd6344305">Ogre::OrientationMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specifies orientation mode. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305a8e7655727ba9332f3843f46a4d1b126b"></a><!-- doxytag: member="OR_DEGREE_0" ref="gga86b4672dfa02cea53b10a52bd6344305a8e7655727ba9332f3843f46a4d1b126b" args="" -->OR_DEGREE_0</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305a28c273827e348532e2e5193ddb3c5c0e"></a><!-- doxytag: member="OR_DEGREE_90" ref="gga86b4672dfa02cea53b10a52bd6344305a28c273827e348532e2e5193ddb3c5c0e" args="" -->OR_DEGREE_90</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305acd8defb52221ab0634b6456b88777ea9"></a><!-- doxytag: member="OR_DEGREE_180" ref="gga86b4672dfa02cea53b10a52bd6344305acd8defb52221ab0634b6456b88777ea9" args="" -->OR_DEGREE_180</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305a2a392843ac77a835af8b3ca000bac382"></a><!-- doxytag: member="OR_DEGREE_270" ref="gga86b4672dfa02cea53b10a52bd6344305a2a392843ac77a835af8b3ca000bac382" args="" -->OR_DEGREE_270</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305abc9559bd9584facb95a611c0111b8894"></a><!-- doxytag: member="OR_PORTRAIT" ref="gga86b4672dfa02cea53b10a52bd6344305abc9559bd9584facb95a611c0111b8894" args="" -->OR_PORTRAIT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305ac5ccf894975be135988c046317296761"></a><!-- doxytag: member="OR_LANDSCAPERIGHT" ref="gga86b4672dfa02cea53b10a52bd6344305ac5ccf894975be135988c046317296761" args="" -->OR_LANDSCAPERIGHT</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga86b4672dfa02cea53b10a52bd6344305a286804a9c1f2abd94afa2eaff4ef40c4"></a><!-- doxytag: member="OR_LANDSCAPELEFT" ref="gga86b4672dfa02cea53b10a52bd6344305a286804a9c1f2abd94afa2eaff4ef40c4" args="" -->OR_LANDSCAPELEFT</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreFrustum_8h_source.html#l00048">48</a> of file <a class="el" href="OgreFrustum_8h_source.html">OgreFrustum.h</a>.</p>

</div>
</div>
<a class="anchor" id="gaf5dd9a3d1fd373b17108baa16065b1ce"></a><!-- doxytag: member="Ogre::ProjectionType" ref="gaf5dd9a3d1fd373b17108baa16065b1ce" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Math.html#gaf5dd9a3d1fd373b17108baa16065b1ce">Ogre::ProjectionType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Specifies perspective (realistic) or orthographic (architectural) projection. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ggaf5dd9a3d1fd373b17108baa16065b1cea739a7eabe0426ba0cd2f6e94a5e5be25"></a><!-- doxytag: member="PT_ORTHOGRAPHIC" ref="ggaf5dd9a3d1fd373b17108baa16065b1cea739a7eabe0426ba0cd2f6e94a5e5be25" args="" -->PT_ORTHOGRAPHIC</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ggaf5dd9a3d1fd373b17108baa16065b1ceab93552ced844b58965a168d27150e262"></a><!-- doxytag: member="PT_PERSPECTIVE" ref="ggaf5dd9a3d1fd373b17108baa16065b1ceab93552ced844b58965a168d27150e262" args="" -->PT_PERSPECTIVE</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreFrustum_8h_source.html#l00062">62</a> of file <a class="el" href="OgreFrustum_8h_source.html">OgreFrustum.h</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gad80b2abc7821c70d6ea086d87ed0ae18"></a><!-- doxytag: member="Ogre::advanceRawPointer" ref="gad80b2abc7821c70d6ea086d87ed0ae18" args="(T *&amp;ptr, ptrdiff_t offset)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="OgrePlatform_8h.html#a724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a> void <a class="el" href="group__Math.html#gad80b2abc7821c70d6ea086d87ed0ae18">Ogre::advanceRawPointer</a> </td>
          <td>(</td>
          <td class="paramtype">T *&amp;&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptrdiff_t&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Advance the pointer with raw offset. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The offset are in bytes, no matter what type of the pointer. </dd></dl>

<p>Definition at line <a class="el" href="OgreOptimisedUtil_8h_source.html#l00223">223</a> of file <a class="el" href="OgreOptimisedUtil_8h_source.html">OgreOptimisedUtil.h</a>.</p>

<p>References <a class="el" href="OgreOptimisedUtil_8h_source.html#l00213">Ogre::rawOffsetPointer()</a>.</p>

</div>
</div>
<a class="anchor" id="ga432fde2d075b7e2b916a5713a02c9760"></a><!-- doxytag: member="Ogre::Angle::operator Degree" ref="ga432fde2d075b7e2b916a5713a02c9760" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Angle::operator Degree </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00715">715</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a49496b87d555199f1ce163a6027ee17c">Ogre::Math::AngleUnitsToDegrees()</a>, and <a class="el" href="OgreMath_8h_source.html#l00151">Ogre::Angle::mAngle</a>.</p>

</div>
</div>
<a class="anchor" id="ga9fafb5d83c03c4e105cd7ea6334e249b"></a><!-- doxytag: member="Ogre::Angle::operator Radian" ref="ga9fafb5d83c03c4e105cd7ea6334e249b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Angle::operator Radian </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00710">710</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a0aaca1a9734a5185bb33650ccf625954">Ogre::Math::AngleUnitsToRadians()</a>, and <a class="el" href="OgreMath_8h_source.html#l00151">Ogre::Angle::mAngle</a>.</p>

</div>
</div>
<a class="anchor" id="gab98d9fe8e0bd1f28f9fed1009cd745dd"></a><!-- doxytag: member="Ogre::operator*" ref="gab98d9fe8e0bd1f28f9fed1009cd745dd" args="(const Vector4 &amp;v, const Matrix4 &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Vector4 Ogre::operator* </td>
          <td>(</td>
          <td class="paramtype">const Vector4 &amp;&#160;</td>
          <td class="paramname"><em>v</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const Matrix4 &amp;&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix4_8h_source.html#l00647">647</a> of file <a class="el" href="OgreMatrix4_8h_source.html">OgreMatrix4.h</a>.</p>

<p>References <a class="el" href="OgreVector4_8h_source.html#l00048">Ogre::Vector4::w</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">Ogre::Vector4::x</a>, <a class="el" href="OgreVector4_8h_source.html#l00048">Ogre::Vector4::y</a>, and <a class="el" href="OgreVector4_8h_source.html#l00048">Ogre::Vector4::z</a>.</p>

</div>
</div>
<a class="anchor" id="ga03482705bf3612c6b96e5a187095e8ac"></a><!-- doxytag: member="Ogre::operator*" ref="ga03482705bf3612c6b96e5a187095e8ac" args="(Real a, const Radian &amp;b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian Ogre::operator* </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const Radian &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00720">720</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00058">Ogre::Radian::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="ga01057ea7c8adad28c8100750a78105c8"></a><!-- doxytag: member="Ogre::operator*" ref="ga01057ea7c8adad28c8100750a78105c8" args="(Real a, const Degree &amp;b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Degree Ogre::operator* </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const Degree &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00730">730</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00108">Ogre::Degree::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="gab7a4a877f244d3f355ae1965d562f613"></a><!-- doxytag: member="Ogre::Radian::operator+" ref="gab7a4a877f244d3f355ae1965d562f613" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian Ogre::Radian::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00165">165</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, <a class="el" href="OgreMath_8h_source.html#l00051">Ogre::Radian::Radian()</a>, and <a class="el" href="OgreMath_8h_source.html#l00700">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="gaed5147935125e28f53cb19d70055bc88"></a><!-- doxytag: member="Ogre::Radian::operator+=" ref="gaed5147935125e28f53cb19d70055bc88" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian &amp; Ogre::Radian::operator+= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00168">168</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00700">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="ga18bfac55ff717cba106aa08bc731e26a"></a><!-- doxytag: member="Ogre::Radian::operator&#45;" ref="ga18bfac55ff717cba106aa08bc731e26a" args="(const Degree &amp;d) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian Ogre::Radian::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00172">172</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, <a class="el" href="OgreMath_8h_source.html#l00051">Ogre::Radian::Radian()</a>, and <a class="el" href="OgreMath_8h_source.html#l00700">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="ga223a82b9ff74351959eee91a335e7cdb"></a><!-- doxytag: member="Ogre::Radian::operator&#45;=" ref="ga223a82b9ff74351959eee91a335e7cdb" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian &amp; Ogre::Radian::operator-= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00175">175</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00700">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="ga49268a0dd483041451c010eeec55f83a"></a><!-- doxytag: member="Ogre::operator/" ref="ga49268a0dd483041451c010eeec55f83a" args="(Real a, const Radian &amp;b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian Ogre::operator/ </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const Radian &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00725">725</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00058">Ogre::Radian::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="ga5b1b6f29e0c3e2fdb55c88f7fd5ccf9b"></a><!-- doxytag: member="Ogre::operator/" ref="ga5b1b6f29e0c3e2fdb55c88f7fd5ccf9b" args="(Real a, const Degree &amp;b)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Degree Ogre::operator/ </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const Degree &amp;&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00735">735</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00108">Ogre::Degree::valueDegrees()</a>.</p>

</div>
</div>
<a class="anchor" id="gafab8ce89cde3034f3cc5c2537d5ea6fd"></a><!-- doxytag: member="Ogre::Radian::operator=" ref="gafab8ce89cde3034f3cc5c2537d5ea6fd" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Radian &amp; Ogre::Radian::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00162">162</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00700">Ogre::Degree::valueRadians()</a>.</p>

</div>
</div>
<a class="anchor" id="gae928a6c0bafde7b018e386ed94d76a84"></a><!-- doxytag: member="Ogre::Radian::Radian" ref="gae928a6c0bafde7b018e386ed94d76a84" args="(const Degree &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html#aafb3609b2e57ea611a811c2d27f02727">Ogre::Radian::Radian</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>d</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00160">160</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

</div>
</div>
<a class="anchor" id="gabb1e4ba22444c1bbf72e6aa66130cd01"></a><!-- doxytag: member="Ogre::rawOffsetPointer" ref="gabb1e4ba22444c1bbf72e6aa66130cd01" args="(T *ptr, ptrdiff_t offset)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="OgrePlatform_8h.html#a724fb9f82013c782db5c3c12ea36aac8">FORCEINLINE</a> T* <a class="el" href="group__Math.html#gabb1e4ba22444c1bbf72e6aa66130cd01">Ogre::rawOffsetPointer</a> </td>
          <td>(</td>
          <td class="paramtype">T *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptrdiff_t&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns raw offseted of the given pointer. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The offset are in bytes, no matter what type of the pointer. </dd></dl>

<p>Definition at line <a class="el" href="OgreOptimisedUtil_8h_source.html#l00213">213</a> of file <a class="el" href="OgreOptimisedUtil_8h_source.html">OgreOptimisedUtil.h</a>.</p>

<p>Referenced by <a class="el" href="OgreOptimisedUtil_8h_source.html#l00223">Ogre::advanceRawPointer()</a>.</p>

</div>
</div>
<a class="anchor" id="ga73959a5a953d4a695388a476387b8e15"></a><!-- doxytag: member="Ogre::Radian::valueAngleUnits" ref="ga73959a5a953d4a695388a476387b8e15" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Real <a class="el" href="group__Math.html#ga73959a5a953d4a695388a476387b8e15">Ogre::Radian::valueAngleUnits</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00695">695</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, and <a class="el" href="classOgre_1_1Math.html#a5bf9a37ed880a35ae569c668b8fc1ffb">Ogre::Math::RadiansToAngleUnits()</a>.</p>

<p>Referenced by <a class="el" href="OgreStringConverter_8h_source.html#l00077">Ogre::StringConverter::toString()</a>.</p>

</div>
</div>
<a class="anchor" id="ga03857af7d94a567b27545a1f28a432e6"></a><!-- doxytag: member="Ogre::Degree::valueAngleUnits" ref="ga03857af7d94a567b27545a1f28a432e6" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Real <a class="el" href="group__Math.html#ga03857af7d94a567b27545a1f28a432e6">Ogre::Degree::valueAngleUnits</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00705">705</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a9d7c5024ffb068064eb5194b9484aa87">Ogre::Math::DegreesToAngleUnits()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">Ogre::Degree::mDeg</a>.</p>

<p>Referenced by <a class="el" href="OgreStringConverter_8h_source.html#l00084">Ogre::StringConverter::toString()</a>.</p>

</div>
</div>
<a class="anchor" id="ga0b6615ad9e0b769f3772d7eb746e804a"></a><!-- doxytag: member="Ogre::Radian::valueDegrees" ref="ga0b6615ad9e0b769f3772d7eb746e804a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Real <a class="el" href="group__Math.html#ga0b6615ad9e0b769f3772d7eb746e804a">Ogre::Radian::valueDegrees</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00690">690</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00048">Ogre::Radian::mRad</a>, and <a class="el" href="OgreMath_8h_source.html#l00449">Ogre::Math::RadiansToDegrees()</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00114">Ogre::Degree::operator+()</a>, <a class="el" href="OgreMath_8h_source.html#l00116">Ogre::Degree::operator+=()</a>, <a class="el" href="OgreMath_8h_source.html#l00119">Ogre::Degree::operator-()</a>, <a class="el" href="OgreMath_8h_source.html#l00121">Ogre::Degree::operator-=()</a>, and <a class="el" href="OgreMath_8h_source.html#l00106">Ogre::Degree::operator=()</a>.</p>

</div>
</div>
<a class="anchor" id="gabb43fc06a3c963e8ba7aa96614d3a620"></a><!-- doxytag: member="Ogre::Degree::valueRadians" ref="gabb43fc06a3c963e8ba7aa96614d3a620" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Real <a class="el" href="group__Math.html#gabb43fc06a3c963e8ba7aa96614d3a620">Ogre::Degree::valueRadians</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMath_8h_source.html#l00700">700</a> of file <a class="el" href="OgreMath_8h_source.html">OgreMath.h</a>.</p>

<p>References <a class="el" href="OgreMath_8h_source.html#l00448">Ogre::Math::DegreesToRadians()</a>, and <a class="el" href="OgreMath_8h_source.html#l00099">Ogre::Degree::mDeg</a>.</p>

<p>Referenced by <a class="el" href="OgreMath_8h_source.html#l00165">Ogre::Radian::operator+()</a>, <a class="el" href="OgreMath_8h_source.html#l00168">Ogre::Radian::operator+=()</a>, <a class="el" href="OgreMath_8h_source.html#l00172">Ogre::Radian::operator-()</a>, <a class="el" href="OgreMath_8h_source.html#l00175">Ogre::Radian::operator-=()</a>, <a class="el" href="OgreMath_8h_source.html#l00162">Ogre::Radian::operator=()</a>, and <a class="el" href="OgreAnimable_8h_source.html#l00130">Ogre::AnimableValue::setAsBaseValue()</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
